> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wandb.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Nvidia Hardware

> Returns available hardware and pricing for a given model.

Called by NVIDIA to show users their options and redirect them
based on what we support.  Only serverless options are returned.



## OpenAPI

````yaml /weave/reference/service-api/openapi.json get /inference/nvidia/v2/hardware
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers: []
security: []
paths:
  /inference/nvidia/v2/hardware:
    get:
      tags:
        - Inference
      summary: Nvidia Hardware
      description: |-
        Returns available hardware and pricing for a given model.

        Called by NVIDIA to show users their options and redirect them
        based on what we support.  Only serverless options are returned.
      operationId: nvidia_hardware_inference_nvidia_v2_hardware_get
      parameters:
        - name: model
          in: query
          required: true
          schema:
            type: string
            description: Model name without the publisher prefix
            title: Model
          description: Model name without the publisher prefix
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NvidiaHardwareRes'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    NvidiaHardwareRes:
      properties:
        hardware:
          items:
            $ref: '#/components/schemas/NvidiaHardwareOption'
          type: array
          title: Hardware
      type: object
      required:
        - hardware
      title: NvidiaHardwareRes
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    NvidiaHardwareOption:
      properties:
        id:
          type: string
          title: Id
        name:
          type: string
          title: Name
        type:
          type: string
          title: Type
        pricing:
          $ref: '#/components/schemas/NvidiaServerlessPricing'
        specs:
          anyOf:
            - additionalProperties:
                type: string
              type: object
            - type: 'null'
          title: Specs
      type: object
      required:
        - id
        - name
        - type
        - pricing
      title: NvidiaHardwareOption
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    NvidiaServerlessPricing:
      properties:
        cents_per_million_input_tokens:
          type: number
          title: Cents Per Million Input Tokens
        cents_per_million_output_tokens:
          type: number
          title: Cents Per Million Output Tokens
      type: object
      required:
        - cents_per_million_input_tokens
        - cents_per_million_output_tokens
      title: NvidiaServerlessPricing
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````